| GET | /RestApi/markup/keys/{StrategyKey} |
|---|
export class PageKeyRequest
{
public StrategyKey: string;
public constructor(init?: Partial<PageKeyRequest>) { (Object as any).assign(this, init); }
}
export class TemplateKeyResponse
{
public Keys: string[];
public constructor(init?: Partial<TemplateKeyResponse>) { (Object as any).assign(this, init); }
}
TypeScript PageKeyRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/markup/keys/{StrategyKey} HTTP/1.1
Host: www.asg.com.au
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{Unable to show example output for type 'TemplateKeyResponse' using the custom 'csv' filter}No parameterless constructor defined for this object.